.instruction {
  background-color: #000;
  color: #777676;
  padding: 24px;
  border-radius: 12px;
  max-width: 500px;
  font-family: "Helvetica Neue", Arial, sans-serif;
  line-height: 1.6;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  position:fixed;
  top:0;
  z-index:999;
  display: flex;
  flex-direction: column;
  height:100dvh;
  justify-content: space-around;
  align-items:center;
}

.instruction.hidden {
  display: none;
}

.instruction-header {
  display: flex;
  width:100%;
  align-items: center;
  gap: 14px;
  margin-bottom: 12px;
  position: relative;
}

.close {
    position: absolute;
    top:-15px;
    right:-5px;
    font-size:1.5rem;
    cursor:pointer;
}

.instruction-header .icon {
  width: 64px;
  height: 64px;
  filter: invert(40%) sepia(1%) saturate(0%) hue-rotate(172deg) brightness(95%);
}

.instruction-header h2 {
  font-size: 1.1rem;
  text-transform: uppercase;
  line-height: 1.3;
  margin: 0;
  font-weight: 700;
}

hr {
  border: none;
  border-top: 1px solid #777676;
  margin: 16px 0;
  width:90%;
}

ol {
  margin: 0;
  padding-left: 20px;
}

ol li {
  margin-bottom: 10px;
  font-weight: 500;
  font-size:1.1rem;
}

ol li small {
  display: block;
  margin-top: 4px;
  font-size: 0.9em;
  opacity: 0.8;
}

.tips h3 {
  font-size: 1rem;
  margin-bottom: 8px;
  font-weight: 700;
}

.tips ul {
  padding-left: 20px;
  margin: 0;
}

.tips li {
  margin-bottom: 8px;
  font-weight: 400;
  list-style-type:disc;
  font-size:0.9rem;
}

/* animacja pojawiania */
.instruction.show {
  display: block;
  animation: fadeIn 0.4s ease;
}
.opener {
    position: relative;
}
.info-icon {
    background: none;
    position: absolute;
    top:8px;
    right:-55px;
    border:none;
    outline:none;
    cursor:pointer;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
